{% extends 'base.html.twig' %}

{% block title %}Vote{% endblock %}

{% block body %}
    {# navbar start #}
    <nav class="navbar navbar-expand-lg nav-bar navbar-dark pt-4">
        <a class="text-white" href="{{ path('home') }}"><h5 class="text-uppercase">Sondage<span class="navbar-logo"><br> créateur</span></h5></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-end" id="navbarNavAltMarkup">
            <div class="navbar-nav">
                <a class="nav-link text-white h5" href="{{ path('app_register') }}">S'inregistrer</a>
                <a class="nav-link text-white h5" href="{{ path('app_login') }}">Se connecter</a>
                <a class="nav-link text-white h5" href="{{ path('profil') }}">Mon profil</a>
                <a class="nav-link text-white h5" href="{{ path('home') }}">Accueil</a>
            </div>
        </div>
    </nav>
    {# navbar end #}

    <div class="wrapper">
<div class="container w-50">

    <meta name="id" content="{{ question.id }}">

    <form id="form">

        <div class="form-group text-white">
            <label class="text-white h3">Question : </label>
            <span class="h3 text-white">{{ question.name }}</span>
        </div>

        <div class="form-group">
            <label class="text-white h2">Votez pour une des réponses : </label>
            {% for reponse in question.reponses %}
            <div class="form-check text-white h2">
                <input data-id="{{ loop.index0 }}" data-vote class="form-check-input" type="radio" name="vote">{{ reponse.name }}
            </div>
            {% endfor %}
        </div>
        <div class="text-center">
            <button type="submit" class="btn-sondage">Submit</button>
        </div>
    </form>
</div>
    </div>

{% endblock %}

{% block javascripts %}
    <script>
        const form = document.getElementById("form");
        const inputs = document.querySelectorAll("input[data-vote]");
        const meta = document.querySelector('meta[name="id"]');
        const id = meta.getAttribute("content");

        form.addEventListener("submit", function (e){
            e.preventDefault();
            const voteInput = Array.from(inputs).find(i => i.checked);
            if (voteInput) {
              fetch("/vote/" + id, {
                  method: "POST",
                  body: JSON.stringify({
                      vote: voteInput.getAttribute("data-id")
                  })
              }).then(function (res){
                  if(res.ok) {
                      window.location = "/result/" + id;
                  } else {
                      console.log(res);
                  }
              });
            }
        });

    </script>
{% endblock %}

{% block stylesheets %}
    <style>
        body {
            margin: 0;
            padding: 0;
            font-family: Tahoma;
            background-image: url( {{ asset('asset/photo/black.jpg') }} );
            -webkit-background-size: cover;
            background-size: cover;
            height: 100vh;
        }

        .wrapper {
            display: flex;
            height: 80vh;
            justify-content: center;
            align-items: center;
        }

        .btn-sondage {
            border-radius: 28px;
            font-size: 13px;
            text-transform: uppercase;
            margin: 0 6px;
            padding: 12px 46px 12px 46px;
            transition: all 0.4s;
            background-color: #f4c613;
            color: white;
        }

        .navbar-logo {
            color: #f4c613;
        }
    </style>
{% endblock %}
